--- old/usr/src/uts/common/fs/nfs/nfs_vnops.c	2014-07-28 07:44:18.321384783 -0400
+++ new/usr/src/uts/common/fs/nfs/nfs_vnops.c	2014-07-28 07:44:18.327497992 -0400
@@ -4365,11 +4365,11 @@
 
 	if (nfs_rw_enter_sig(&rp->r_rwlock, RW_WRITER, INTR(vp)))
 		return (EINTR);
-	atomic_add_int(&rp->r_inmap, 1);
+	atomic_inc_uint(&rp->r_inmap);
 	nfs_rw_exit(&rp->r_rwlock);
 
 	if (nfs_rw_enter_sig(&rp->r_lkserlock, RW_READER, INTR(vp))) {
-		atomic_add_int(&rp->r_inmap, -1);
+		atomic_dec_uint(&rp->r_inmap);
 		return (EINTR);
 	}
 	if (vp->v_flag & VNOCACHE) {
@@ -4410,7 +4410,7 @@
 
 done:
 	nfs_rw_exit(&rp->r_lkserlock);
-	atomic_add_int(&rp->r_inmap, -1);
+	atomic_dec_uint(&rp->r_inmap);
 	return (error);
 }
 
